CC = g++
CFLAGS = -Wall -O3
HDRS = pupik.h pla.h
OBJS =  minimize.o pupik.o pla.o

minimize : $(OBJS)
	$(CC) $(CFLAGS) -o minimize $(OBJS)

minimize.o : minimize.cpp $(HDRS)
	$(CC) $(CFLAGS) -c minimize.cpp

pupik.o: pupik.cpp pupik.h
	$(CC) $(CFLAGS) -c pupik.cpp

pla.o: pla.cpp pla.h pupik.h
	$(CC) $(CFLAGS) -c pla.cpp

clean:
	rm -f *.o *~ minimize

